{% extends 'base.html' %} 

{% block content %}
<section class="section">
    <section class="container">
        <a href="{{ url_for('ArticlesView:create') }}" class="button is-pulled-right is-primary">Create new article</a>
        <table class="table is-hoverable is-fullwidth">
            <thead>
                <th>Title</th>
                <th>Content</th>
                <th>Created At</th>
            </thead>
            <tbody>
                {% for article in articles %}
                <tr>
                    <td>{{ article.title }}</td>
                    <td>{{ article.content }}</td>
                    <td>{{ article.created_at|datetimeformat }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </section>
</section>
{% endblock %}
